Subject: [T2TRG] changes to richardson-t2trg-idevid-considerations

From: Michael Richardson <[email-masked]>
Date: Sun, 21 Feb 2021 19:04:03 -0500

I received some edits from Carsten some months ago. I had not finished
processing them all.

Carsten asked:

> Is there a difference between validate and verify?

and I guess I tend to use them interchangeably to make the text more
interesting. Hoewver, I think there might be a technical difference which is
that one verifies a signature, while one validates a certificate chain.
That's my opinion, but maybe others have opinions.

I write:

} The words Trust Anchor are contracted to TrA rather than TA, in order
} not to confuse with [I-D.ietf-teep-architecture]'s "Trusted Application".

Carsten suggests:
        cabo: "TrAnc" (pronounced like "trance") would be so much nicer :-)

I'm not completely sold, but I've changed it like that for now.

Carsten asks:
> What is interesting about a bed-of-nails?
> (This seems to be a pars-pro-toto here.)

I didn't know what pars-pro-toto meant.
   Pars pro toto, Latin for '"a part for the whole"', is a figure of speech
   where the name of a portion of an object, place, or concept is used or
   taken to represent its entirety

I'm not sure how to answer.  A bed-of-nails is an integral part of the
production process, and that's what they call it...

I have pushed a new version.
I intended to change all uses of "intermediate CA" to "subordinate CA".
I goofed on the git comments and pushed -02 without that change.

Name:		draft-richardson-t2trg-idevid-considerations
Revision:	02
Title:		A Taxonomy of operational security of manufacturer installed keys and anchors
Document date:	2021-02-21
Group:		Individual Submission
Pages:		25
URL:            https://www.ietf.org/archive/id/draft-richardson-t2trg-idevid-considerations-02.txt
Status:         https://datatracker.ietf.org/doc/draft-richardson-t2trg-idevid-considerations/
Html:           https://www.ietf.org/archive/id/draft-richardson-t2trg-idevid-considerations-02.html
Htmlized:       https://tools.ietf.org/html/draft-richardson-t2trg-idevid-considerations-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-t2trg-idevid-considerations-02

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide